GET /api/v3/savings/meter/{meterId}/adjustment/othersavings/{otherSavingsId}

Get one other savings for a meter

GetOneOtherSavingsV3 Permissions: SavingsAdjustments (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The meter for which the other savings are being retrieved integer (int32) Required
otherSavingsId The identifier for the other savings record which is being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

OtherSavingsResponse
Property Description Type
annnualCycleStartMonth Month the other savings should begin This is only set when the other savings type is recurring integer (int32)
annualCycleEndMonth Month the other savings should end This is only set when the other savings type is recurring integer (int32)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Create date string (date-time)
description Description string
endPeriod End period for the other savings integer (int32)
frequency Other savings frequency Possible values are: one-time, continuous, and recurring string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate Last modified date string (date-time)
otherSavingsCategory OtherSavingsCategory
OtherSavingsCategory properties
Property Description Type
otherSavingsCategoryId Other savings category identifier integer (int32)
otherSavingsCategoryInfo Other savings category name string
otherSavingsId Other savings identifier integer (int32)
startPeriod Begin period for the other savings integer (int32)
value Amount saved number (double)
Example Response application/json
{  "annnualCycleStartMonth": 1,  "annualCycleEndMonth": 1,  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "description": "string",  "endPeriod": 1,  "frequency": "string",  "modifiedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30",  "otherSavingsCategory": {    "otherSavingsCategoryId": 1,    "otherSavingsCategoryInfo": "string"
  },  "otherSavingsId": 1,  "startPeriod": 1,  "value": 1.0
}